# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:drk_template/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:drk_template/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config

# Add configuration for the editor for any configuration
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    format_tags: "p;h2;h3;h4;h5"
    format_h2: { element: 'h2', attributes: { 'class': 'o-section__headline' } }
    format_h3: { element: 'h3', attributes: { 'class': 'o-cms-content__headline' } }
    format_h4: { element: 'h4', attributes: { 'class': 'o-cms-content__headline' } }
    format_h5: { element: 'h5', attributes: { 'class': 'o-cms-content__headline' } }

    toolbarGroups:
      - { name: styles, groups: [ format ] }
      - { name: basicstyles, groups: [ basicstyles ] }
      - { name: paragraph, groups: [ list, indent, blocks, align ] }
      - { name: links, groups: [ specialchar, links ] }
      - { name: insert, groups: [ insert ] }
      - { name: tools, groups: [ insertcharacters, specialchar ] }
      - { name: table }
      - { name: tabletools }
      - { name: document, groups: [ mode ] }
      - { name: clipboard, groups: [ cleanup, undo ] }

    removeButtons:
      - Anchor
      - Superscript
      - Subscript
      - Underline
      - Strike
      - Styles
      - Blockquote
      - Cut
      - Copy
      - Paste
      - PasteText
      - HorizontalRule

    removePlugins:
      - image

buttons:
  link:
    relAttribute:
      enabled: true
    targetSelector:
      disabled: true
    popupSelector:
      disabled: true
    queryParameterSelector:
      enabled: true
    properties:
      class:
        allowedClasses: 'link-internal,link-internal-blank,link-download,link-external,link-external-blank,link-mail'
      title:
        readOnly: false
    page:
      properties:
        class:
          default: 'link-internal'
    folder:
      disabled: true
    file:
      properties:
        class:
          default: 'link-download'
    url:
      properties:
        class:
          default: 'link-external-blank'
    mail:
      properties:
        class:
          default: 'link-mail'
    options:
      removeItems: 'folder'
